//////////////////////////////////////////////////////////////////////////
//
// FPP replay for e08007(GEp)
//
//////////////////////////////////////////////////////////////////////////
// Based on Jin Huang' online replay package
// Modified: 
//////////////////////////////////////////////////////////////////////////



#include "def.h"

using namespace std;

void replay_LHRS(Int_t runnumber=0,Int_t all=0)
{
  
  //Add L-HRS
  THaApparatus* HRSL = new THaHRS("L","Left arm HRS");
  gHaApps->Add( HRSL);
  HRSL->AddDetector(new THaFpp("fpp","Focal Plane Polarimeters"));
  HRSL->AddDetector( new THaCherenkov("cer", "Gas Cherenkov counter" ));
  HRSL->AddDetector( new THaShower("prl1", "Pre-shower pion rej." ));
  HRSL->AddDetector( new THaShower("prl2", "Show pion rej." ));


  ReplayCore(
	    runnumber,            //run #
	    all,                  //-1=replay all;0=ask for a number
	    -1,                   //defaut replay event num
	    "%s/e08007_LHRS_%d.root", //output file format
	    "replay_LHRS.odef",       //out define
	    "replay_LHRS.cdef"        //cut define
	    );
}
