//////////////////////////////////////////////////////////////////////////
//
// FPP replay for e08007(GEp)
//
//////////////////////////////////////////////////////////////////////////
// Based on Jin Huang' online replay package
// Modified: 
//////////////////////////////////////////////////////////////////////////



#include "def.h"

using namespace std;

void replay_fpp(Int_t runnumber=0,Int_t all=0)
{


  THaApparatus* HRSL = new THaHRS("L","Left arm HRS");
  gHaApps->Add( HRSL);
  HRSL->AddDetector(new THaFpp("fpp","Focal Plane Polarimeters"));


  THaApparatus* DECDAT = new THaDecData("DL","Misc. Decoder Data");
  gHaApps->Add( DECDAT );

  // Add left arm scalers
  THaScalerGroup* LeftScalers = new THaScalerGroup("Left");
  LeftScalers->Init();
  gHaScalers->Add(LeftScalers);
  
 THaApparatus* BEAM = new THaIdealBeam("Beam","Simple ideal beamline");
  gHaApps->Add( BEAM );  

  BEAM->AddDetector( new THaADCHelicity("adchel.L","Beam helicity L-arm") );
  BEAM->AddDetector( new THaADCHelicity("adchel2.L","Beam helicity-2 L-arm") );
  BEAM->AddDetector( new THaG0Helicity("g0hel.L","Left arm G0 helicity") );	



  ReplayCore(
	    runnumber,            //run #
	    all,                  //-1=replay all;0=ask for a number
	    -1,                   //defaut replay event num
	    "%s/e08007_fpp_%d.root", //output file format
	    "replay_fpp.odef",       //out define
	    "replay_test.cdef"        //cut define
	    );
}
