//////////////////////////////////////////////////////////////////////////
//                                                                          
// rootlogon.C                                                            
//                                                                          
// Load Lib, paths and possible scripts to the analyzer upon start
//                                                                          
//////////////////////////////////////////////////////////////////////////
//	
// Author : Jin Huang <mailto:jinhuang@jlab.org>    Mar 2008
//
//////////////////////////////////////////////////////////////////////////
{
    printf("\nrootlogon.C: Loading BigBite Library...");
    gSystem->Load("libBigBite.so");
    gSystem->Load("/usr/lib/gcc-lib/i386-redhat-linux/3.2.3/libg2c.so");
    gSystem->Load("libFpp.so");
    gSystem->Load("libLEDEX.so");
    gSystem->Load("libNormAna.so");
    //gSystem->Load("libBBNormAna.so");

    //Load more libs here, if necessary. 
    //Make sure it's in path of $LD_LIBRARY_PATH

    
    //add extra directory of header file here. 

    gSystem->Load("$ROOTSYS/cint/stl/exception");


    char* macros[] =
    {   //list of scripts to load, end with "\0"
      "def.h",
      "HallA_style.cxx",
      "AnaShowRun.C",
      "online_C.so",
      "replay_phys.C",
      "replay_fpp.C",
      "replay_BB.C",
      "replay_LHRS.C",
      "replay_all.C",
      "replay_fpp_all.C",
      //"physics3_C.so",
              "\0"
    };

    if (*macros[0]!=0)
        cout << "\nrootlogon.C: Loading macro's:" << endl;
    for(UInt_t i=0; *macros[i]!=0; i++) {
        cout << "\t " << macros[i] << endl;
        gROOT->LoadMacro(macros[i]);
    }

    printf("\nrootlogon.C: Done!\n\n"); 

    printf("----------------------------------------------------\n"
	   "TO Shift Worker:\n\n"
	   "    Lazy People Could Use Script\n\n"
           "      do_all(run number)\n\n"
	   "    which include: replay_fpp,replay_BB,replay_phys\n"
	   "----------------------------------------------------\n"
	   "\n");
}

