//////////////////////////////////////////////////////////////////////////
//                                                                          
// rootlogon.C                                                            
//                                                                          
// Load Lib, paths and possible scripts to the analyzer upon start
//                                                                          
//////////////////////////////////////////////////////////////////////////
//	
// Author : Jin Huang <mailto:jinhuang@jlab.org>    Mar 2008
//
//////////////////////////////////////////////////////////////////////////
{
    printf("\nrootlogon.C: Loading BigBite Library...");
    gSystem->Load("libBigBite.so");
    gSystem->Load("libBBNormAna.so");

    //Load more libs here, if necessary. 
    //Make sure it's in path of $LD_LIBRARY_PATH


    printf("\nrootlogon.C: Adding include directories...");
    gSystem->AddIncludePath("-I/adaqfs/home/bbsoftw/software/bigbitelib");
    gInterpreter->AddIncludePath("/adaqfs/home/bbsoftw/software/bigbitelib");

    gSystem->AddIncludePath("-I$ANALYZER");
    gInterpreter->AddIncludePath("$ANALYZER/");

    gSystem->AddIncludePath("-I$ANALYZER/include");
    gInterpreter->AddIncludePath("$ANALYZER/src/include");

//     gSystem->AddIncludePath("-I$ANALYZER/hana_decode");
//     gInterpreter->AddIncludePath("$ANALYZER/hana_decode/");

//     gSystem->AddIncludePath("-I$ANALYZER/hana_scaler");
//     gInterpreter->AddIncludePath("$ANALYZER/hana_scaler/");
    
    //add extra directory of header file here. 

    gSystem->Load("$ROOTSYS/cint/stl/exception");


    char* macros[] =
    {   //list of scripts to load, end with "\0"
      "replay_C.so",
      "HallA_style.cxx",
      "AnaShowRun.C",
      "online_C.so",
      "physics3_C.so",
              "\0"
    };

    if (*macros[0]!=0)
        cout << "\nrootlogon.C: Loading macro's:" << endl;
    for(UInt_t i=0; *macros[i]!=0; i++) {
        cout << "\t " << macros[i] << endl;
        gROOT->LoadMacro(macros[i]);
    }

    printf("\nrootlogon.C: Done!\n\n"); 

    printf("----------------------------------------------------\n"
	   "DO NOT try to load replay.C again.\n\n"
	   "To replay and plot histograms, call following functions:\n"
	   "\t do_all  (<run#>)\n"
	   "\t do_range(<startRun#>,<endRun#>)\n"
	   "\n"
	   "To do just replay, call following functions:\n"
	   "\t replay_det   (<run#>,<Event #>)\n"
	   "\t replay_phys  (<run#>,<Event #>)\n"
	   "\t replay_det_R (<run#>,<Event #>)\n"
	   "\t replay_phys_R(<run#>,<Event #>)\n"
	   "\t replay_det_L (<run#>,<Event #>)\n" 
	   "\t replay_phys_L(<run#>,<Event #>)\n"
	   "\t replay_ped   (<run#>,<Event #>)\n"
	   "----------------------------------------------------\n"
	   "\n");
}

